Overview
POST
/content/reactionsinteractionsAdd a reaction (idempotent on the caller's target+emoji)
Create a record in reactions.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- targetKindstring
- targetIdstring
- emojistring
Example
{
"targetKind": "string",
"targetId": "string",
"emoji": "string"
}Responses
200
Reaction already existed (idempotent)
- idstring
- customerIdstring
- ecosystemIdstring
- targetKindstring
- targetIdstring
- emojistring
- createdAtstring
- deletedAtoptionalstring?
Example
{
"id": "string",
"customerId": "string",
"ecosystemId": "string",
"targetKind": "string",
"targetId": "string",
"emoji": "string",
"createdAt": "string",
"deletedAt": "string"
}201
Reaction created
- idstring
- customerIdstring
- ecosystemIdstring
- targetKindstring
- targetIdstring
- emojistring
- createdAtstring
- deletedAtoptionalstring?
Example
{
"id": "string",
"customerId": "string",
"ecosystemId": "string",
"targetKind": "string",
"targetId": "string",
"emoji": "string",
"createdAt": "string",
"deletedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/content/reactions" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"targetKind": "string",
"targetId": "string",
"emoji": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/reactions", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"targetKind\": \"string\",\n \"targetId\": \"string\",\n \"emoji\": \"string\"\n}",
});
const data = await res.json();